<?php
/**
 * 
 *
 * @version
 * @link http://www.simplecoding.org
 * @author Стаценко Владимир <vova_33@gala.net>
 */
class Main extends Controller {
	
	private $curTheme = 'default';

	function Main() {
		parent::Controller();
		$this->load->helper('html');
		$this->config->load('themes');
		$this->curTheme = $this->config->item('current_theme');
	}

	function index() {
		$pageData['title'] = "Использование тем в CodeIgniter";
		$pageData['theme'] = $this->curTheme;
		$pageData['contentTitle'] = "Это заголовок";
		$pageData['contentData'] = "Тут должен находится текст статьи с ".
			"картинками, комментариями и т.п. В общем, все, что хотите....";
		$pageData['sidebarTitle'] = "Рубрики";
		$pageData['sidebarData'] = array('PHP', 'CSS', 'HTML', 'JavaScript');
		$this->load->view($this->curTheme.'/header', $pageData);
		$this->load->view($this->curTheme.'/content');
		$this->load->view($this->curTheme.'/sidebar');
		$this->load->view($this->curTheme.'/footer');
	}
	
	function page() {
		
	}
}
?>